package com.entity;

import java.sql.Date;
import java.util.ArrayList;
import java.util.List;

/**
 *
 * Bean for task.
 *
 * @author Laurentiu Marcut
 */
public class Task {

    private int id;
    private String project;
    private int priority;
    private String type;
    private String title;
    private String state;
    private int points;
    private String description = "";
    private int sprint;
    private String createdBy;
    private String assignedTo;
    private Date createdDate;
    private Date updateDate;
    private List<String> tags = new ArrayList<>();
    private List<Member> members = new ArrayList<>();
    private Date closeDate;

    /**
     *
     * Getter id.
     *
     * @return id
     */
    public int getId() {
        return id;
    }

    /**
     *
     * Setter id.
     *
     * @param id
     */
    public void setId(int id) {
        this.id = id;
    }

    /**
     *
     * Getter project.
     *
     * @return project
     */
    public String getProject() {
        return project;
    }

    /**
     *
     * Setter project.
     *
     * @param project
     */
    public void setProject(String project) {
        this.project = project;
    }

    /**
     *
     * Getter priority.
     *
     * @return priority
     */
    public int getPriority() {
        return priority;
    }

    /**
     *
     * Setter priority.
     *
     * @param priority
     */
    public void setPriority(int priority) {
        this.priority = priority;
    }

    /**
     *
     * Getter type.
     *
     * @return type
     */
    public String getType() {
        return type;
    }

    /**
     *
     * Setter type.
     *
     * @param type
     */
    public void setType(String type) {
        this.type = type;
    }

    /**
     *
     * Getter title.
     *
     * @return title
     */
    public String getTitle() {
        return title;
    }

    /**
     *
     * Setter title.
     *
     * @param title
     */
    public void setTitle(String title) {
        this.title = title;
    }

    /**
     *
     * Getter state.
     *
     * @return state
     */
    public String getState() {
        return state;
    }

    /**
     *
     * Setter state.
     *
     * @param state
     */
    public void setState(String state) {
        this.state = state;
    }

    /**
     *
     * Getter points.
     *
     * @return points
     */
    public int getPoints() {
        return points;
    }

    /**
     *
     * Setter points.
     *
     * @param points
     */
    public void setPoints(int points) {
        this.points = points;
    }

    /**
     *
     * Getter description.
     *
     * @return description
     */
    public String getDescription() {
        return description;
    }

    /**
     *
     * Setter description.
     *
     * @param description
     */
    public void setDescription(String description) {
        this.description = description;
    }

    /**
     *
     * Getter sprint.
     *
     * @return sprint
     */
    public int getSprint() {
        return sprint;
    }

    /**
     *
     * Setter sprint.
     *
     * @param sprint
     */
    public void setSprint(int sprint) {
        this.sprint = sprint;
    }

    /**
     *
     * Getter created by.
     *
     * @return created by
     */
    public String getCreatedBy() {
        return createdBy;
    }

    /**
     *
     * Setter created by.
     *
     * @param createdBy
     */
    public void setCreatedBy(String createdBy) {
        this.createdBy = createdBy;
    }

    /**
     *
     * Getter assigned to.
     *
     * @return assigned to.
     */
    public String getAssignedTo() {
        return assignedTo;
    }

    /**
     *
     * Setter assigned to.
     *
     * @param assignedTo
     */
    public void setAssignedTo(String assignedTo) {
        this.assignedTo = assignedTo;
    }

    /**
     *
     * Getter created date.
     *
     * @return created date
     */
    public Date getCreatedDate() {
        return createdDate;
    }

    /**
     *
     * Setter created date.
     *
     * @param createdDate
     */
    public void setCreatedDate(Date createdDate) {
        this.createdDate = createdDate;
    }

    /**
     *
     * Getter update date.
     *
     * @return update date
     */
    public Date getUpdateDate() {
        return updateDate;
    }

    /**
     *
     * Setter update date.
     *
     * @param updateDate
     */
    public void setUpdateDate(Date updateDate) {
        this.updateDate = updateDate;
    }

    /**
     *
     * Getter tags.
     *
     * @return tags
     */
    public List<String> getTags() {
        return tags;
    }

    /**
     *
     * Setter tags.
     *
     * @param tags
     */
    public void setTags(List<String> tags) {
        this.tags = tags;
    }

    /**
     *
     * Getter members.
     *
     * @return members
     */
    public List<Member> getMembers() {
        return members;
    }

    /**
     *
     * Setter members.
     *
     * @param members
     */
    public void setMembers(List<Member> members) {
        this.members = members;
    }

    /**
     *
     * Getter close date.
     *
     * @return close date
     */
    public Date getCloseDate() {
        return closeDate;
    }

    /**
     *
     * Setter close date.
     *
     * @param closeDate
     */
    public void setCloseDate(Date closeDate) {
        this.closeDate = closeDate;
    }
}
